/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.util.Enumeration;

import javax.swing.JDialog;

import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOCivilite;

import com.webobjects.foundation.NSArray;


/**
 *
 * @author  cpinsard
 */
public class EtatCivilView extends JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public EtatCivilView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewEtatCivil = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        tfNomUsuel = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        popupCivilite = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        tfPrenom = new javax.swing.JTextField();
        tfNomFamille = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        tfPrenoms = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfMatricule = new javax.swing.JTextField();
        photoAgent = new org.cocktail.component.COImageView();
        btnAgrandir = new javax.swing.JButton();
        btnTelecharger = new javax.swing.JButton();
        jLabel19 = new javax.swing.JLabel();
        tfInsee = new javax.swing.JTextField();
        tfCleInsee = new javax.swing.JTextField();
        checkProvisoire = new javax.swing.JCheckBox();
        jLabel20 = new javax.swing.JLabel();
        tfCodeSituationFamiliale = new javax.swing.JTextField();
        btnGetSituationFamiliale = new javax.swing.JButton();
        tfSituationFamiliale = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        tfCodeDepartement = new javax.swing.JTextField();
        btnGetDepartement = new javax.swing.JButton();
        tfDepartement = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        tfCodePays = new javax.swing.JTextField();
        btnGetPaysNaissance = new javax.swing.JButton();
        tfPaysNaissance = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        tfCodeNationalite = new javax.swing.JTextField();
        btnGetNationalite = new javax.swing.JButton();
        tfNationalite = new javax.swing.JTextField();
        jPanel2 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        tfNumen = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        popupLoge = new javax.swing.JComboBox();
        popupRetraite = new javax.swing.JComboBox();
        jPanel4 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        tfPrenomAffichage = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        tfNomAffichage = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        tfDateNaissance = new javax.swing.JTextField();
        tfLieuNaissance = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        btnValider = new javax.swing.JButton();
        btnImprimer = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES CONJOINTS");

        btnModifier.setToolTipText("Modification de l'agent");

        btnAjouter.setToolTipText("Ajout d'un nouvel individu");

        jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel1.setText("Nom d'usage");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel4.setText("Civilité");

        popupCivilite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel2.setText("Prénom");

        jLabel3.setText("Nom de famille");

        jLabel5.setText("Autres prénoms");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Matricule");

        tfMatricule.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        photoAgent.setImageScale("EOImageView.ScaleProportionally");
        photoAgent.setMethodForImage("image");

        org.jdesktop.layout.GroupLayout photoAgentLayout = new org.jdesktop.layout.GroupLayout(photoAgent);
        photoAgent.setLayout(photoAgentLayout);
        photoAgentLayout.setHorizontalGroup(
            photoAgentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 96, Short.MAX_VALUE)
        );
        photoAgentLayout.setVerticalGroup(
            photoAgentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 108, Short.MAX_VALUE)
        );

        btnAgrandir.setToolTipText("Agrandir la photo");

        btnTelecharger.setText("Télécharger");
        btnTelecharger.setToolTipText("Télécharger une nouvelle photo");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(popupCivilite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMatricule, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfPrenoms, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 344, Short.MAX_VALUE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfNomFamille, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 327, Short.MAX_VALUE)
                            .add(tfPrenom, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 327, Short.MAX_VALUE)
                            .add(tfNomUsuel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 327, Short.MAX_VALUE))))
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(32, 32, 32)
                        .add(photoAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnAgrandir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnTelecharger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel4)
                            .add(popupCivilite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(tfMatricule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(18, 18, 18)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel1)
                            .add(tfNomUsuel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel2)
                            .add(tfPrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel3)
                            .add(tfNomFamille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfPrenoms, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(photoAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(btnAgrandir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnTelecharger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .add(19, 19, 19))
        );

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("INSEE");

        tfInsee.setEditable(false);
        tfInsee.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInsee.setToolTipText("Libellé Court");

        tfCleInsee.setEditable(false);
        tfCleInsee.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCleInsee.setToolTipText("Libellé Court");

        checkProvisoire.setText("Provisoire");
        checkProvisoire.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkProvisoireActionPerformed(evt);
            }
        });

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Sit. Familiale");

        tfCodeSituationFamiliale.setEditable(false);
        tfCodeSituationFamiliale.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodeSituationFamiliale.setToolTipText("Libellé Court");

        btnGetSituationFamiliale.setToolTipText("Saisie de la situation familiale");

        tfSituationFamiliale.setEditable(false);
        tfSituationFamiliale.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfSituationFamiliale.setToolTipText("Libellé Court");

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Département");

        tfCodeDepartement.setEditable(false);
        tfCodeDepartement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodeDepartement.setToolTipText("Libellé Court");

        btnGetDepartement.setToolTipText("Saisie du département");

        tfDepartement.setEditable(false);
        tfDepartement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfDepartement.setToolTipText("Libellé Court");

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Pays Naissance");

        tfCodePays.setEditable(false);
        tfCodePays.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodePays.setToolTipText("Libellé Court");

        btnGetPaysNaissance.setToolTipText("Saisie du pays de naissance");

        tfPaysNaissance.setEditable(false);
        tfPaysNaissance.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfPaysNaissance.setToolTipText("Libellé Court");

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Nationalité");

        tfCodeNationalite.setEditable(false);
        tfCodeNationalite.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodeNationalite.setToolTipText("Libellé Court");

        btnGetNationalite.setToolTipText("Saisie de la nationalité");

        tfNationalite.setEditable(false);
        tfNationalite.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfNationalite.setToolTipText("Libellé Court");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel10.setText("Logé ?");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Age de mise d'office à la retaite :");

        jLabel8.setForeground(new java.awt.Color(0, 0, 255));
        jLabel8.setText("TITULAIRES");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("NUMEN");

        popupLoge.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        popupRetraite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(popupRetraite, 0, 202, Short.MAX_VALUE)
                    .add(popupLoge, 0, 202, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(13, 13, 13)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel9)
                        .add(tfNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel10)
                        .add(popupLoge, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(14, 14, 14)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(popupRetraite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel13.setText("Prénom");

        jLabel16.setForeground(new java.awt.Color(0, 0, 255));
        jLabel16.setText("AFFICHAGE");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Nom");

        org.jdesktop.layout.GroupLayout jPanel4Layout = new org.jdesktop.layout.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfNomAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 131, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfPrenomAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 158, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(jLabel13)
                    .add(tfNomAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfPrenomAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        tfDateNaissance.setEditable(false);
        tfDateNaissance.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateNaissance.setToolTipText("Libellé Court");

        tfLieuNaissance.setEditable(false);
        tfLieuNaissance.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLieuNaissance.setToolTipText("Libellé Court");

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel25.setText("à");

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Né(e) le");

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider la saisie");

        btnImprimer.setText("Imprimer");
        btnImprimer.setToolTipText("Imprimer le CV ou la fiche d'identité");

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler la saisie");

        org.jdesktop.layout.GroupLayout viewEtatCivilLayout = new org.jdesktop.layout.GroupLayout(viewEtatCivil);
        viewEtatCivil.setLayout(viewEtatCivilLayout);
        viewEtatCivilLayout.setHorizontalGroup(
            viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewEtatCivilLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewEtatCivilLayout.createSequentialGroup()
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewEtatCivilLayout.createSequentialGroup()
                                .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDateNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(5, 5, 5)
                                .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLieuNaissance, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 335, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewEtatCivilLayout.createSequentialGroup()
                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 125, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfCleInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkProvisoire))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewEtatCivilLayout.createSequentialGroup()
                                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(viewEtatCivilLayout.createSequentialGroup()
                                        .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfCodeNationalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfNationalite, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewEtatCivilLayout.createSequentialGroup()
                                        .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfCodePays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfPaysNaissance, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewEtatCivilLayout.createSequentialGroup()
                                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel20, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel21, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE))
                                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(viewEtatCivilLayout.createSequentialGroup()
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfCodeDepartement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewEtatCivilLayout.createSequentialGroup()
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfCodeSituationFamiliale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfSituationFamiliale, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE)
                                            .add(tfDepartement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE))))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnGetSituationFamiliale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnGetDepartement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnGetPaysNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnGetNationalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(739, 739, 739))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewEtatCivilLayout.createSequentialGroup()
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(viewEtatCivilLayout.createSequentialGroup()
                                .add(btnImprimer)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 355, Short.MAX_VALUE)
                                .add(btnAnnuler)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnValider))
                            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(634, 634, 634)))
                .addContainerGap())
        );
        viewEtatCivilLayout.setVerticalGroup(
            viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewEtatCivilLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewEtatCivilLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 178, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(10, 10, 10)
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel19)
                    .add(tfInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfCleInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkProvisoire))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfDateNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel25)
                    .add(tfLieuNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel24))
                .add(27, 27, 27)
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewEtatCivilLayout.createSequentialGroup()
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel20)
                            .add(tfSituationFamiliale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfCodeSituationFamiliale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(8, 8, 8)
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel21)
                            .add(tfCodeDepartement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfDepartement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(8, 8, 8)
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel22)
                            .add(tfCodePays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfPaysNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(8, 8, 8)
                        .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel23)
                            .add(tfCodeNationalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfNationalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(viewEtatCivilLayout.createSequentialGroup()
                        .add(btnGetSituationFamiliale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetDepartement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetPaysNaissance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetNationalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(59, 59, 59)
                .add(viewEtatCivilLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler)
                    .add(btnImprimer))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewEtatCivil, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 686, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewEtatCivil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-738)/2, (screenSize.height-793)/2, 738, 793);
    }// </editor-fold>//GEN-END:initComponents

    private void checkProvisoireActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkProvisoireActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkProvisoireActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	ConjointView dialog = new ConjointView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAgrandir;
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetDepartement;
    private javax.swing.JButton btnGetNationalite;
    private javax.swing.JButton btnGetPaysNaissance;
    private javax.swing.JButton btnGetSituationFamiliale;
    private javax.swing.JButton btnImprimer;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnTelecharger;
    private javax.swing.JButton btnValider;
    private javax.swing.JCheckBox checkProvisoire;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel4;
    public org.cocktail.component.COImageView photoAgent;
    private javax.swing.JComboBox popupCivilite;
    private javax.swing.JComboBox popupLoge;
    private javax.swing.JComboBox popupRetraite;
    protected javax.swing.JTextField tfCleInsee;
    protected javax.swing.JTextField tfCodeDepartement;
    protected javax.swing.JTextField tfCodeNationalite;
    protected javax.swing.JTextField tfCodePays;
    protected javax.swing.JTextField tfCodeSituationFamiliale;
    protected javax.swing.JTextField tfDateNaissance;
    protected javax.swing.JTextField tfDepartement;
    protected javax.swing.JTextField tfInsee;
    protected javax.swing.JTextField tfLieuNaissance;
    private javax.swing.JTextField tfMatricule;
    protected javax.swing.JTextField tfNationalite;
    private javax.swing.JTextField tfNomAffichage;
    private javax.swing.JTextField tfNomFamille;
    private javax.swing.JTextField tfNomUsuel;
    private javax.swing.JTextField tfNumen;
    protected javax.swing.JTextField tfPaysNaissance;
    private javax.swing.JTextField tfPrenom;
    private javax.swing.JTextField tfPrenomAffichage;
    private javax.swing.JTextField tfPrenoms;
    protected javax.swing.JTextField tfSituationFamiliale;
    private javax.swing.JPanel viewEtatCivil;
    // End of variables declaration//GEN-END:variables

    
    public void setListeCivilites(NSArray liste) {
    	popupCivilite.removeAllItems();
    	popupCivilite.addItem("");

    	for (Enumeration<EOCivilite> e = liste.objectEnumerator();e.hasMoreElements();)
    			popupCivilite.addItem(e.nextElement().cCivilite());
    	
    }
    
    private void initGui() {

    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);

    	btnGetDepartement.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnGetPaysNaissance.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnGetNationalite.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnGetSituationFamiliale.setIcon(CocktailIcones.ICON_LOUPE_16);

    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_16);

    }

	public javax.swing.JButton getBtnAgrandir() {
		return btnAgrandir;
	}

	public void setBtnAgrandir(javax.swing.JButton btnAgrandir) {
		this.btnAgrandir = btnAgrandir;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetDepartement() {
		return btnGetDepartement;
	}

	public void setBtnGetDepartement(javax.swing.JButton btnGetDepartement) {
		this.btnGetDepartement = btnGetDepartement;
	}

	public javax.swing.JButton getBtnGetNationalite() {
		return btnGetNationalite;
	}

	public void setBtnGetNationalite(javax.swing.JButton btnGetNationalite) {
		this.btnGetNationalite = btnGetNationalite;
	}

	public javax.swing.JButton getBtnGetPaysNaissance() {
		return btnGetPaysNaissance;
	}

	public void setBtnGetPaysNaissance(javax.swing.JButton btnGetPaysNaissance) {
		this.btnGetPaysNaissance = btnGetPaysNaissance;
	}

	public javax.swing.JButton getBtnGetSituationFamiliale() {
		return btnGetSituationFamiliale;
	}

	public void setBtnGetSituationFamiliale(
			javax.swing.JButton btnGetSituationFamiliale) {
		this.btnGetSituationFamiliale = btnGetSituationFamiliale;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckProvisoire() {
		return checkProvisoire;
	}

	public void setCheckProvisoire(javax.swing.JCheckBox checkProvisoire) {
		this.checkProvisoire = checkProvisoire;
	}

	public javax.swing.JComboBox getPopupCivilite() {
		return popupCivilite;
	}

	public void setPopupCivilite(javax.swing.JComboBox popupCivilite) {
		this.popupCivilite = popupCivilite;
	}

	public javax.swing.JTextField getTfCleInsee() {
		return tfCleInsee;
	}

	public void setTfCleInsee(javax.swing.JTextField tfCleInsee) {
		this.tfCleInsee = tfCleInsee;
	}

	public javax.swing.JTextField getTfCodeDepartement() {
		return tfCodeDepartement;
	}

	public void setTfCodeDepartement(javax.swing.JTextField tfCodeDepartement) {
		this.tfCodeDepartement = tfCodeDepartement;
	}

	public javax.swing.JTextField getTfCodeNationalite() {
		return tfCodeNationalite;
	}

	public void setTfCodeNationalite(javax.swing.JTextField tfCodeNationalite) {
		this.tfCodeNationalite = tfCodeNationalite;
	}

	public javax.swing.JTextField getTfCodePays() {
		return tfCodePays;
	}

	public void setTfCodePays(javax.swing.JTextField tfCodePays) {
		this.tfCodePays = tfCodePays;
	}

	public javax.swing.JTextField getTfCodeSituationFamiliale() {
		return tfCodeSituationFamiliale;
	}

	public void setTfCodeSituationFamiliale(
			javax.swing.JTextField tfCodeSituationFamiliale) {
		this.tfCodeSituationFamiliale = tfCodeSituationFamiliale;
	}

	public javax.swing.JTextField getTfDateNaissance() {
		return tfDateNaissance;
	}

	public void setTfDateNaissance(javax.swing.JTextField tfDateNaissance) {
		this.tfDateNaissance = tfDateNaissance;
	}

	public javax.swing.JTextField getTfDepartement() {
		return tfDepartement;
	}

	public void setTfDepartement(javax.swing.JTextField tfDepartement) {
		this.tfDepartement = tfDepartement;
	}

	public javax.swing.JTextField getTfInsee() {
		return tfInsee;
	}

	public void setTfInsee(javax.swing.JTextField tfInsee) {
		this.tfInsee = tfInsee;
	}

	public javax.swing.JTextField getTfLieuNaissance() {
		return tfLieuNaissance;
	}

	public void setTfLieuNaissance(javax.swing.JTextField tfLieuNaissance) {
		this.tfLieuNaissance = tfLieuNaissance;
	}

	public javax.swing.JTextField getTfMatricule() {
		return tfMatricule;
	}

	public void setTfMatricule(javax.swing.JTextField tfMatricule) {
		this.tfMatricule = tfMatricule;
	}

	public javax.swing.JTextField getTfNationalite() {
		return tfNationalite;
	}

	public void setTfNationalite(javax.swing.JTextField tfNationalite) {
		this.tfNationalite = tfNationalite;
	}

	public javax.swing.JTextField getTfNomAffichage() {
		return tfNomAffichage;
	}

	public void setTfNomAffichage(javax.swing.JTextField tfNomAffichage) {
		this.tfNomAffichage = tfNomAffichage;
	}

	public javax.swing.JTextField getTfNomFamille() {
		return tfNomFamille;
	}

	public void setTfNomFamille(javax.swing.JTextField tfNomFamille) {
		this.tfNomFamille = tfNomFamille;
	}

	public javax.swing.JTextField getTfNomUsuel() {
		return tfNomUsuel;
	}

	public void setTfNomUsuel(javax.swing.JTextField tfNomUsuel) {
		this.tfNomUsuel = tfNomUsuel;
	}

	public javax.swing.JTextField getTfNumen() {
		return tfNumen;
	}

	public void setTfNumen(javax.swing.JTextField tfNumen) {
		this.tfNumen = tfNumen;
	}

	public javax.swing.JTextField getTfPaysNaissance() {
		return tfPaysNaissance;
	}

	public void setTfPaysNaissance(javax.swing.JTextField tfPaysNaissance) {
		this.tfPaysNaissance = tfPaysNaissance;
	}

	public javax.swing.JTextField getTfPrenom() {
		return tfPrenom;
	}

	public void setTfPrenom(javax.swing.JTextField tfPrenom) {
		this.tfPrenom = tfPrenom;
	}

	public javax.swing.JTextField getTfPrenomAffichage() {
		return tfPrenomAffichage;
	}

	public void setTfPrenomAffichage(javax.swing.JTextField tfPrenomAffichage) {
		this.tfPrenomAffichage = tfPrenomAffichage;
	}

	public javax.swing.JTextField getTfPrenoms() {
		return tfPrenoms;
	}

	public void setTfPrenoms(javax.swing.JTextField tfPrenoms) {
		this.tfPrenoms = tfPrenoms;
	}

	public javax.swing.JTextField getTfSituationFamiliale() {
		return tfSituationFamiliale;
	}

	public void setTfSituationFamiliale(javax.swing.JTextField tfSituationFamiliale) {
		this.tfSituationFamiliale = tfSituationFamiliale;
	}

	public javax.swing.JPanel getViewEtatCivil() {
		return viewEtatCivil;
	}

	public void setViewEtatCivil(javax.swing.JPanel viewEtatCivil) {
		this.viewEtatCivil = viewEtatCivil;
	}

	public org.cocktail.component.COImageView getPhoto() {
		return photoAgent;
	}

	public void setPhoto(org.cocktail.component.COImageView photo) {
		this.photoAgent = photo;
	}

	public org.cocktail.component.COImageView getPhotoAgent() {
		return photoAgent;
	}

	public void setPhotoAgent(org.cocktail.component.COImageView photoAgent) {
		this.photoAgent = photoAgent;
	}

	public javax.swing.JComboBox getPopupLoge() {
		return popupLoge;
	}

	public void setPopupLoge(javax.swing.JComboBox popupLoge) {
		this.popupLoge = popupLoge;
	}

	public javax.swing.JComboBox getPopupRetraite() {
		return popupRetraite;
	}

	public void setPopupRetraite(javax.swing.JComboBox popupRetraite) {
		this.popupRetraite = popupRetraite;
	}

	public javax.swing.JButton getBtnTelecharger() {
		return btnTelecharger;
	}

	public void setBtnTelecharger(javax.swing.JButton btnTelecharger) {
		this.btnTelecharger = btnTelecharger;
	}

    

}
